Bug 199487 - JSTestGlobalObject.cpp of bindings-generation-tests is failing for Windows Python
Summary: JSTestGlobalObject.cpp of bindings-generation-tests is failing for Windows Py...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-03 19:16 PDT by Fujii Hironori
Modified: 2019-07-08 18:18 PDT (History)
8 users (show)

See Also:


Attachments
Patch (5.84 KB, patch)
2019-07-04 00:36 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (14.21 MB, application/zip)
2019-07-04 07:11 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2019-07-03 19:16:30 PDT
JSTestGlobalObject.cpp of bindings-generation-tests is failing for Windows Python

WinCairo Buildbot is reporting the failure.
https://build.webkit.org/builders/WinCairo%2064-bit%20WKL%20Release%20%28Tests%29/builds/4426

> FAIL: (JS) JSTestGlobalObject.cpp

Seems to happen since Bug 197669.

This issue does happen for Cygwin Python.
Comment 1 Fujii Hironori 2019-07-03 19:17:29 PDT
(In reply to Fujii Hironori from comment #0)
> This issue does happen for Cygwin Python.

does → doesn't
Comment 2 Fujii Hironori 2019-07-03 21:09:48 PDT
In Windows Python, preprocessor.pm calls cl.exe.
cl.exe is failing to open testglobalscope_constructors_file which is created by webkitpy/bindings/main.py using tempfile.mkstemp().

> c1: fatal error C1083: Cannot open source file: 'c:/users/000013~1/appdata/local/temp/tmpytx5zj': Permission denied

In Cygwin Python, preprocessor.pm is using Cygwin's gcc.
Comment 3 Fujii Hironori 2019-07-04 00:36:05 PDT
Created attachment 373456 [details]
Patch
Comment 4 Build Bot 2019-07-04 07:11:32 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-07-04 07:11:35 PDT Comment hidden (obsolete)
Comment 6 Fujii Hironori 2019-07-08 18:04:25 PDT
Comment on attachment 373456 [details]
Patch

Clearing flags on attachment: 373456

Committed r247244: <https://trac.webkit.org/changeset/247244>
Comment 7 Fujii Hironori 2019-07-08 18:04:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-07-08 18:18:16 PDT
<rdar://problem/52808392>